Bug 285973 - "given folder name is empty" messages in akonadi's debug output
Summary: "given folder name is empty" messages in akonadi's debug output
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: Mixed Maildir resource (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-07 10:30 UTC by S. Burmeister
Modified: 2012-02-12 09:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2011-11-07 10:30:58 UTC
Version:           unspecified (using KDE 4.7.2) 
OS:                Linux

If I have a look at akonadi's debug output I see the following. It does not go away, i.e. either the cause is not resolved or new instances are added daily.

Translation for the German bits: Given folder name is empty.

Could this be related to: bug 285895 which "forgets" local-mail as folder name and stores the data where it would land if local-mail was empty, i.e. not used?

akonadi_mixedmaildir_resource_0(29641)/akonadiresource (maildir) RetrieveItemsJob::Private::fetchChangedResult: Store fetch for changed item "2252271" in collection -59 , "" did not return the expected item. error= 102 , "Der angegebene Ordnername ist leer" 
akonadi_mixedmaildir_resource_0(29641)/akonadiresource (maildir): "Der angegebene Ordnername ist leer" collection: Collection ID: -590    remote ID: "" 
   name: "" 
   url: KUrl("akonadi:?collection=-590") 
   parent: -59 "" 
   resource: "" 
   rights: QFlags(0x1|0x2|0x4|0x8|0x10|0x20) 
   contents mime type: () 
    CachePolicy:  
   inherit: true 
   interval: -1 
   timeout: -1 
   sync on demand: false 
   local parts: () 
    CollectionStatistics: 
   count: -1 
   unread count: -1 
   size: -1 
akonadi_mixedmaildir_resource_0(29641)/akonadiresource (maildir) RetrieveItemsJob::Private::fetchChangedResult: Store fetch for changed item "2260684" in collection -59 , "" did not return the expected item. error= 102 , "Der angegebene Ordnername ist leer" 
akonadi_mixedmaildir_resource_0(29641)/akonadiresource (maildir): "Der angegebene Ordnername ist leer" collection: Collection ID: -592    remote ID: "" 
   name: "" 
   url: KUrl("akonadi:?collection=-592") 
   parent: -59 "" 
   resource: "" 
   rights: QFlags(0x1|0x2|0x4|0x8|0x10|0x20) 
   contents mime type: () 
    CachePolicy:  
   inherit: true 
   interval: -1 
   timeout: -1 
   sync on demand: false 
   local parts: () 
    CollectionStatistics: 
   count: -1 
   unread count: -1 
   size: -1 
akonadi_mixedmaildir_resource_0(29641)/akonadiresource (maildir) RetrieveItemsJob::Private::fetchChangedResult: Store fetch for changed item "2269180" in collection -59 , "" did not return the expected item. error= 102 , "Der angegebene Ordnername ist leer" 
akonadi_mixedmaildir_resource_0(29641)/akonadiresource (maildir): "Der angegebene Ordnername ist leer" collection: Collection ID: -594    remote ID: "" 
   name: "" 
   url: KUrl("akonadi:?collection=-594") 
   parent: -59 "" 
   resource: "" 
   rights: QFlags(0x1|0x2|0x4|0x8|0x10|0x20) 
   contents mime type: () 
    CachePolicy:  
   inherit: true 
   interval: -1 
   timeout: -1 
   sync on demand: false 
   local parts: () 
    CollectionStatistics: 
   count: -1 
   unread count: -1 
   size: -1 


Reproducible: Didn't try

Steps to Reproduce:
Start akonadi and watch out for the debug messages

Actual Results:  
akonadi tries to use data with empty folder name

Expected Results:  
fix the data, i.e. either ask the user or be clever about why there is no folder name and what it should be
Comment 1 Frank Steinmetzger 2011-11-12 13:08:58 UTC
I was asked in #kontact to confirm. I, too, have those messages, running KDE 4.7.3 on Gentoo with Akonadi Server 1.6.2. In fact, I started having problems reading mail with 4.7.3 which lead me to investigate in the first place.

Example:

akonadi_mixedmaildir_resource_0(3148)/akonadiresource (maildir) RetrieveItemsJob::Private::fetchChangedResult: Store fetch for changed item "1284562241.4844.wN6ZD:2,S" in collection -26 , "" did not return the expected item. error= 102 , "Given folder name is empty" 
akonadi_mixedmaildir_resource_0(3148)/akonadiresource (maildir): "Given folder name is empty" collection: Collection ID: -37    remote ID: "" 
   name: "" 
   url: KUrl("akonadi:?collection=-37") 
   parent: -26 "" 
   resource: "" 
   rights: QFlags(0x1|0x2|0x4|0x8|0x10|0x20) 
   contents mime type: () 
    CachePolicy:  
   inherit: true 
   interval: -1 
   timeout: -1 
   sync on demand: false 
   local parts: () 
    CollectionStatistics: 
   count: -1 
   unread count: -1 
   size: -1 

The item in question is a file in one of my mailing list folders.
Comment 2 David Faure 2012-02-11 09:35:58 UTC
Git commit c5fa16ce5af42cdfafb48dd2b6baa0b3f7c404a1 by David Faure.
Committed on 10/02/2012 at 21:51.
Pushed by dfaure into branch 'KDE/4.8'.

Fix missing parent collection information in fetched items.

This gave "Given folder name is empty" warnings, and made items technically
inaccessible.

Arriving 9 hours late in Osnabrueck at least gave me an opportunity to debug
mixedmaildir with Kevin Krammer's help, in the train :-)

M  +11   -0    resources/mixedmaildir/mixedmaildirstore.cpp
M  +2    -0    resources/mixedmaildir/mixedmaildirstore.h
M  +5    -1    resources/mixedmaildir/retrieveitemsjob.cpp

http://commits.kde.org/kdepim-runtime/c5fa16ce5af42cdfafb48dd2b6baa0b3f7c404a1
Comment 3 Kevin Krammer 2012-02-11 09:56:49 UTC
Git commit 0b928627827ef1c48e024ff3f8f68c684c915012 by Kevin Krammer, on behalf of David Faure.
Committed on 10/02/2012 at 21:51.
Pushed by krake into branch 'KDE/4.7'.

Fix missing parent collection information in fetched items.

This gave "Given folder name is empty" warnings, and made items technically
inaccessible.

Arriving 9 hours late in Osnabrueck at least gave me an opportunity to debug
mixedmaildir with Kevin Krammer's help, in the train :-)

M  +11   -0    resources/mixedmaildir/mixedmaildirstore.cpp
M  +2    -0    resources/mixedmaildir/mixedmaildirstore.h
M  +5    -1    resources/mixedmaildir/retrieveitemsjob.cpp

http://commits.kde.org/kdepim-runtime/0b928627827ef1c48e024ff3f8f68c684c915012
Comment 4 David Faure 2012-02-11 10:02:58 UTC
Git commit e85ec5a60fd6c17ae432be60a898010b0f848ca7 by David Faure.
Committed on 10/02/2012 at 21:51.
Pushed by dfaure into branch 'master'.

Fix missing parent collection information in fetched items.

This gave "Given folder name is empty" warnings, and made items technically
inaccessible.

Arriving 9 hours late in Osnabrueck at least gave me an opportunity to debug
mixedmaildir with Kevin Krammer's help, in the train :-)
(cherry picked from commit c5fa16ce5af42cdfafb48dd2b6baa0b3f7c404a1)

M  +11   -0    resources/mixedmaildir/mixedmaildirstore.cpp
M  +2    -0    resources/mixedmaildir/mixedmaildirstore.h
M  +5    -1    resources/mixedmaildir/retrieveitemsjob.cpp

http://commits.kde.org/kdepim-runtime/e85ec5a60fd6c17ae432be60a898010b0f848ca7